From 91e5666a726ea147548c683241376d9f9235a51b Mon Sep 17 00:00:00 2001
From: Koen Kooi <koen@openembedded.org>
Date: Mon, 22 Nov 2010 12:09:12 +0100
Subject: [PATCH] u-boot git: update beagleboard to 2010.12rc1

* tested on B6/C3/C4/xM

On B6 the various SD commands timeout making loading the kernel from SD impossible

Signed-off-by: Koen Kooi <koen@beagleboard.org>
---
 ...3-BeagleBoard-add-more-expansionboard-IDs.patch |   47 ++
 .../0001-BeagleBoard-move-ramdisk-parameters.patch |   38 -
 ...add-support-for-second-and-third-mmc-chan.patch |  126 ---
 ...gle-enable-support-for-second-and-third-m.patch |   56 --
 ...le-i2c-bus-switching-for-Beagle-and-Overo.patch |   49 --
 ...MAP3-BeagleBoard-add-xM-rev-B-to-ID-table.patch |   72 ++
 ...P3-add-board-revision-detection-for-Overo.patch |  187 -----
 .../beagleboard/0003-Add-led-command.patch         |  253 ++++++
 ...e-Beagle-revision-detection-to-recognize-.patch |  165 ----
 .../0004-BeagleBoard-Added-LED-driver.patch        |  156 ++++
 ...AUX2-to-1.8V-for-EHCI-PHY-on-Beagle-Rev-C.patch |  143 ----
 ...-OMAP3-BeagleBoard-Enable-pullups-on-i2c2.patch |   47 ++
 ...ntry-for-rev-3.1.2-check-and-display-max-.patch |  105 ---
 ...0006-ARMV7-OMAP3-Add-DSS-driver-for-OMAP3.patch |  354 +++++++++
 ...add-mpurate-boot-arg-for-overo-and-beagle.patch |   70 --
 ...ARMV7-OMAP3-BeagleBoard-Enable-DSS-driver.patch |  149 ++++
 ...t-expansion-board-type-version-using-eepr.patch |  129 ---
 ...-BeagleBoard-Update-DVI-D-orange-screen-f.patch |   58 ++
 ...-enable-config-eeprom-to-set-u-boot-env-v.patch |   81 --
 ...0009-BeagleBoard-Added-userbutton-command.patch |  100 +++
 ...-enable-input-on-MMC1_CLK-and-MMC3_CLK-pi.patch |   34 -
 ...-BeagleBoard-updated-default-configuratio.patch |  200 +++++
 ...-Overo-set-CONFIG_SYS_I2C_SPEED-to-400Khz.patch |   25 -
 ...rim-excessively-long-delays-in-i2c-driver.patch |   52 --
 .../0011-mmc-omap-timeout-counter-fix.patch        |  225 ++++++
 ...-allow-expansion-boards-with-any-vendor-I.patch |   47 --
 ...agle-pass-expansionboard-name-in-bootargs.patch |   48 ++
 ...-change-address-of-expansion-eeprom-to-0x.patch |   25 -
 ....c-don-t-attempt-to-set-up-second-RAM-ban.patch |   49 --
 .../0015-OMAP3-mem.c-enhance-the-RAM-test.patch    |   52 --
 ...d.c-fail-gracefully-if-no-nand-is-present.patch |   27 -
 ...efinitions-to-support-sysinfo-cpu-and-cpu.patch |   68 --
 ...s_info-update-cpu-detection-for-36XX-37XX.patch |  196 -----
 ...3-clocks-update-clock-setup-for-36XX-37XX.patch |  826 --------------------
 ...20-OMAP3-beagle-add-support-for-Beagle-xM.patch |  137 ----
 ...e-Overo-remove-omapfb.debug-y-from-defaul.patch |   53 --
 ...e-implement-expansionboard-detection-base.patch |  157 ----
 ...-display-message-about-I2C-errors-being-e.patch |   26 -
 ...24-beagleboard-fix-TCT-expansionboard-IDs.patch |   27 -
 .../0025-Add-DSS-driver-for-OMAP3.patch            |  353 ---------
 .../0026-Enable-DSS-driver-for-Beagle.patch        |  158 ----
 ...ardXM-don-t-set-mpurate-on-xM-in-bootargs.patch |   24 -
 ...nd-clean-up-L2-cache-enable-disable-funct.patch |  112 ---
 ...029-OMAP3-convert-setup_auxcr-to-pure-asm.patch |   99 ---
 ...-Cortex-A8-errata-workarounds-only-on-aff.patch |   46 --
 ...e-add-more-expansionboards-based-on-http-.patch |   61 --
 ...e-set-mpurate-to-600-for-revB-and-revC1-3.patch |   29 -
 ...gle-prettify-expansionboard-message-a-bit.patch |   25 -
 ...e-add-pinmux-for-Tincantools-Trainer-expa.patch |   53 --
 ...5-OMAP3-Beagle-set-mpurate-to-1000-for-xM.patch |   24 -
 ...e-decrease-bootdelay-to-3-use-VGA-for-def.patch |   34 -
 ...agle-pass-expansionboard-name-in-bootargs.patch |   87 --
 ...8-Added-configurations-for-xM-Rev-A-board.patch |   29 -
 .../0038-BeagleBoard-Added-LED-driver.patch        |  164 ----
 .../beagleboard/0039-Add-led-command.patch         |  256 ------
 ...e-setenv-beaglerev-for-AxBx-Cx-xMA-for-be.patch |   42 -
 .../0041-BeagleBoard-Enabled-LEDs.patch            |   47 --
 ...ard-New-command-for-status-of-USER-button.patch |   97 ---
 ...eagleBoard-Add-CONFIG_SYS_MEMTEST_SCRATCH.patch |   35 -
 .../beagleboard/0044-Beagleboard-Adjust-boot.patch |  115 ---
 .../0045-BeagleBoard-Enable-pullups-on-i2c2.patch  |   46 --
 ...eagleBoard-Add-camera-to-default-bootargs.patch |   50 --
 recipes/u-boot/u-boot_git.bb                       |   66 +--
 63 files changed, 1723 insertions(+), 4988 deletions(-)
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0001-ARMV7-OMAP3-BeagleBoard-add-more-expansionboard-IDs.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0001-BeagleBoard-move-ramdisk-parameters.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0001-OMAP-mmc-add-support-for-second-and-third-mmc-chan.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0001-OMAP3-Beagle-enable-support-for-second-and-third-m.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0001-OMAP3-enable-i2c-bus-switching-for-Beagle-and-Overo.patch
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0002-ARMV7-OMAP3-BeagleBoard-add-xM-rev-B-to-ID-table.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0002-OMAP3-add-board-revision-detection-for-Overo.patch
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0003-Add-led-command.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0003-OMAP3-update-Beagle-revision-detection-to-recognize-.patch
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0004-BeagleBoard-Added-LED-driver.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0004-OMAP3-Set-VAUX2-to-1.8V-for-EHCI-PHY-on-Beagle-Rev-C.patch
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0005-ARMV7-OMAP3-BeagleBoard-Enable-pullups-on-i2c2.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0005-OMAP3-add-entry-for-rev-3.1.2-check-and-display-max-.patch
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0006-ARMV7-OMAP3-Add-DSS-driver-for-OMAP3.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0006-OMAP3-add-mpurate-boot-arg-for-overo-and-beagle.patch
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0007-ARMV7-OMAP3-BeagleBoard-Enable-DSS-driver.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0007-OMAP3-detect-expansion-board-type-version-using-eepr.patch
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0008-ARMV7-OMAP3-BeagleBoard-Update-DVI-D-orange-screen-f.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0008-OMAP3-Overo-enable-config-eeprom-to-set-u-boot-env-v.patch
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0009-BeagleBoard-Added-userbutton-command.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0009-OMAP3-Overo-enable-input-on-MMC1_CLK-and-MMC3_CLK-pi.patch
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0010-ARMV7-OMAP3-BeagleBoard-updated-default-configuratio.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0010-OMAP3-Overo-set-CONFIG_SYS_I2C_SPEED-to-400Khz.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0011-OMAP3-trim-excessively-long-delays-in-i2c-driver.patch
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0011-mmc-omap-timeout-counter-fix.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0012-OMAP3-Overo-allow-expansion-boards-with-any-vendor-I.patch
 create mode 100644 recipes/u-boot/u-boot-git/beagleboard/0012-OMAP3-beagle-pass-expansionboard-name-in-bootargs.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0013-OMAP3-Overo-change-address-of-expansion-eeprom-to-0x.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0014-OMAP3-board.c-don-t-attempt-to-set-up-second-RAM-ban.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0015-OMAP3-mem.c-enhance-the-RAM-test.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0016-env_nand.c-fail-gracefully-if-no-nand-is-present.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0017-OMAP3-add-definitions-to-support-sysinfo-cpu-and-cpu.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0018-OMAP3-sys_info-update-cpu-detection-for-36XX-37XX.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0019-OMAP3-clocks-update-clock-setup-for-36XX-37XX.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0020-OMAP3-beagle-add-support-for-Beagle-xM.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0021-OMAP3-Beagle-Overo-remove-omapfb.debug-y-from-defaul.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0022-OMAP3-beagle-implement-expansionboard-detection-base.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0023-beagleboard-display-message-about-I2C-errors-being-e.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0024-beagleboard-fix-TCT-expansionboard-IDs.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0025-Add-DSS-driver-for-OMAP3.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0026-Enable-DSS-driver-for-Beagle.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0027-beagleboardXM-don-t-set-mpurate-on-xM-in-bootargs.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0028-OMAP3-fix-and-clean-up-L2-cache-enable-disable-funct.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0029-OMAP3-convert-setup_auxcr-to-pure-asm.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0030-OMAP3-apply-Cortex-A8-errata-workarounds-only-on-aff.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0031-OMAP3-beagle-add-more-expansionboards-based-on-http-.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0032-OMAP3-beagle-set-mpurate-to-600-for-revB-and-revC1-3.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0033-OMAP3-beagle-prettify-expansionboard-message-a-bit.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0034-OMAP3-beagle-add-pinmux-for-Tincantools-Trainer-expa.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0035-OMAP3-Beagle-set-mpurate-to-1000-for-xM.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0036-OMAP3-Beagle-decrease-bootdelay-to-3-use-VGA-for-def.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0037-OMAP3-beagle-pass-expansionboard-name-in-bootargs.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0038-Added-configurations-for-xM-Rev-A-board.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0038-BeagleBoard-Added-LED-driver.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0039-Add-led-command.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0039-OMAP3-beagle-setenv-beaglerev-for-AxBx-Cx-xMA-for-be.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0041-BeagleBoard-Enabled-LEDs.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0042-BeagleBoard-New-command-for-status-of-USER-button.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0043-BeagleBoard-Add-CONFIG_SYS_MEMTEST_SCRATCH.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0044-Beagleboard-Adjust-boot.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0045-BeagleBoard-Enable-pullups-on-i2c2.patch
 delete mode 100644 recipes/u-boot/u-boot-git/beagleboard/0046-BeagleBoard-Add-camera-to-default-bootargs.patch

diff --git a/recipes/u-boot/u-boot_git.bb b/recipes/u-boot/u-boot_git.bb
index 6f05b17..47f3abf 100644
--- a/recipes/u-boot/u-boot_git.bb
+++ b/recipes/u-boot/u-boot_git.bb
@@ -24,60 +24,22 @@ SRC_URI_append_bug20 = "file://bug-uboot.patch"
 SRC_URI_append_bug20 += "file://bug-video-setting.patch"
 
 SRC_URI_beagleboard = "git://www.denx.de/git/u-boot.git;protocol=git \
-                       file://0001-OMAP3-enable-i2c-bus-switching-for-Beagle-and-Overo.patch \
-                       file://0002-OMAP3-add-board-revision-detection-for-Overo.patch \
-                       file://0003-OMAP3-update-Beagle-revision-detection-to-recognize-.patch \
-                       file://0004-OMAP3-Set-VAUX2-to-1.8V-for-EHCI-PHY-on-Beagle-Rev-C.patch \
-                       file://0005-OMAP3-add-entry-for-rev-3.1.2-check-and-display-max-.patch \
-                       file://0006-OMAP3-add-mpurate-boot-arg-for-overo-and-beagle.patch \
-                       file://0007-OMAP3-detect-expansion-board-type-version-using-eepr.patch \
-                       file://0008-OMAP3-Overo-enable-config-eeprom-to-set-u-boot-env-v.patch \
-                       file://0009-OMAP3-Overo-enable-input-on-MMC1_CLK-and-MMC3_CLK-pi.patch \
-                       file://0010-OMAP3-Overo-set-CONFIG_SYS_I2C_SPEED-to-400Khz.patch \
-                       file://0011-OMAP3-trim-excessively-long-delays-in-i2c-driver.patch \
-                       file://0012-OMAP3-Overo-allow-expansion-boards-with-any-vendor-I.patch \
-                       file://0013-OMAP3-Overo-change-address-of-expansion-eeprom-to-0x.patch \
-                       file://0014-OMAP3-board.c-don-t-attempt-to-set-up-second-RAM-ban.patch \
-                       file://0015-OMAP3-mem.c-enhance-the-RAM-test.patch \
-                       file://0016-env_nand.c-fail-gracefully-if-no-nand-is-present.patch \
-                       file://0017-OMAP3-add-definitions-to-support-sysinfo-cpu-and-cpu.patch \
-                       file://0018-OMAP3-sys_info-update-cpu-detection-for-36XX-37XX.patch \
-                       file://0019-OMAP3-clocks-update-clock-setup-for-36XX-37XX.patch \
-                       file://0020-OMAP3-beagle-add-support-for-Beagle-xM.patch \
-                       file://0021-OMAP3-Beagle-Overo-remove-omapfb.debug-y-from-defaul.patch \
-                       file://0022-OMAP3-beagle-implement-expansionboard-detection-base.patch \
-                       file://0023-beagleboard-display-message-about-I2C-errors-being-e.patch \
-                       file://0024-beagleboard-fix-TCT-expansionboard-IDs.patch \
-                       file://0025-Add-DSS-driver-for-OMAP3.patch \
-                       file://0026-Enable-DSS-driver-for-Beagle.patch \
-                       file://0027-beagleboardXM-don-t-set-mpurate-on-xM-in-bootargs.patch \
-                       file://0028-OMAP3-fix-and-clean-up-L2-cache-enable-disable-funct.patch \
-                       file://0029-OMAP3-convert-setup_auxcr-to-pure-asm.patch \
-                       file://0030-OMAP3-apply-Cortex-A8-errata-workarounds-only-on-aff.patch \
-                       file://0031-OMAP3-beagle-add-more-expansionboards-based-on-http-.patch \
-                       file://0032-OMAP3-beagle-set-mpurate-to-600-for-revB-and-revC1-3.patch \
-                       file://0033-OMAP3-beagle-prettify-expansionboard-message-a-bit.patch \
-                       file://0034-OMAP3-beagle-add-pinmux-for-Tincantools-Trainer-expa.patch \
-                       file://0035-OMAP3-Beagle-set-mpurate-to-1000-for-xM.patch \
-                       file://0036-OMAP3-Beagle-decrease-bootdelay-to-3-use-VGA-for-def.patch \
-                       file://0037-OMAP3-beagle-pass-expansionboard-name-in-bootargs.patch \
-                       file://0038-Added-configurations-for-xM-Rev-A-board.patch \
-                       file://0039-OMAP3-beagle-setenv-beaglerev-for-AxBx-Cx-xMA-for-be.patch \
-                       file://0001-OMAP-mmc-add-support-for-second-and-third-mmc-chan.patch \
-                       file://0001-OMAP3-Beagle-enable-support-for-second-and-third-m.patch \
-                       file://0038-BeagleBoard-Added-LED-driver.patch \
-                       file://0039-Add-led-command.patch \
-                       file://0041-BeagleBoard-Enabled-LEDs.patch \
-                       file://0042-BeagleBoard-New-command-for-status-of-USER-button.patch \
-                       file://0043-BeagleBoard-Add-CONFIG_SYS_MEMTEST_SCRATCH.patch \
-                       file://0044-Beagleboard-Adjust-boot.patch \
-                       file://0045-BeagleBoard-Enable-pullups-on-i2c2.patch \
-                       file://0046-BeagleBoard-Add-camera-to-default-bootargs.patch \
-		       file://0001-BeagleBoard-move-ramdisk-parameters.patch \
+                       file://0001-ARMV7-OMAP3-BeagleBoard-add-more-expansionboard-IDs.patch \
+                       file://0002-ARMV7-OMAP3-BeagleBoard-add-xM-rev-B-to-ID-table.patch \
+                       file://0003-Add-led-command.patch \
+                       file://0004-BeagleBoard-Added-LED-driver.patch \
+                       file://0005-ARMV7-OMAP3-BeagleBoard-Enable-pullups-on-i2c2.patch \
+                       file://0006-ARMV7-OMAP3-Add-DSS-driver-for-OMAP3.patch \
+                       file://0007-ARMV7-OMAP3-BeagleBoard-Enable-DSS-driver.patch \
+                       file://0008-ARMV7-OMAP3-BeagleBoard-Update-DVI-D-orange-screen-f.patch \
+                       file://0009-BeagleBoard-Added-userbutton-command.patch \
+                       file://0010-ARMV7-OMAP3-BeagleBoard-updated-default-configuratio.patch \
+                       file://0011-mmc-omap-timeout-counter-fix.patch \
+                       file://0012-OMAP3-beagle-pass-expansionboard-name-in-bootargs.patch \
                        file://fw_env.config \
 "
-SRCREV_beagleboard = "ca6e1c136ddb720c3bb2cc043b99f7f06bc46c55"
-PV_beagleboard = "2010.03+${PR}+gitr${SRCREV}"
+SRCREV_beagleboard = "fa722ea76be565de6823ca04c107cc4fbd96b776"
+PV_beagleboard = "2010.11+2010.12rc1+${PR}+gitr${SRCREV}"
 
 SRCREV_calamari = "b80d30546e88c70985094d81297d449b2bc59033"
 
-- 
1.6.6.1

